// Copyright (c) 2000 National Semiconductor Corporation, All Rights Reserved.

/* This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
   for more details. 

   You should have received a copy of the GNU General Public License along with this program; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/
/******************************************************************************
*h*
*   Name:               
*                       Space.c
*
*   Description:        
*                       Tunable Parameters.
*  
*   Author:             NSC
*  
*   History:  
*               
*h*
******************************************************************************/

/*** Include files ***/

#include "nsmtypes.h"

#ifdef _DP83815_

#include "dp83815.h"

#elif _DP83820_

#include "dp83820.h"

#endif

#include "hsm.h"
#include "nsm.h"

/*** External Global Vars ***/

UINT   	MinTxDescCnt_0 = TX_QUEUE_SZ/2;
UINT	MaxTxDescCnt_0 = TX_QUEUE_SZ;

UINT	MinTxDescCnt_1 = TX_QUEUE_SZ/2;
UINT	MaxTxDescCnt_1 = TX_QUEUE_SZ;

UINT	MinTxDescCnt_2 = TX_QUEUE_SZ/2;
UINT	MaxTxDescCnt_2 = TX_QUEUE_SZ;

UINT	MinTxDescCnt_3 = TX_QUEUE_SZ/2;
UINT	MaxTxDescCnt_3 = TX_QUEUE_SZ;

UINT	MinRxDescCnt_0 = RX_QUEUE_SZ/2;
UINT	MaxRxDescCnt_0 = RX_QUEUE_SZ;

UINT	MinRxDescCnt_1 = RX_QUEUE_SZ/2;
UINT	MaxRxDescCnt_1 = RX_QUEUE_SZ;

UINT   	MinRxDescCnt_2 = RX_QUEUE_SZ/2;
UINT	MaxRxDescCnt_2 = RX_QUEUE_SZ;

UINT	MinRxDescCnt_3 = RX_QUEUE_SZ/2; 
UINT	MaxRxDescCnt_3 = RX_QUEUE_SZ;

UINT 	IntrHoldoff;    /*      Interrupt hold off value */
UINT 	TxDrth=200;         /*      Tx Drain Threshold */
UINT 	TxFlth=2;         /*      Tx Fill Threshold */
UINT 	RxDrth;         /*      Rx Drain Threshold */

UINT 	RxFFLO = 2;
UINT 	RxFFHI = 8;
UINT 	RxSTLO = 2;
UINT 	RxSTHI = 8;

UINT    PauseCounterVal = 40000;
UINT	MediaSpeed;
UINT	DuplexMode;


#ifdef CHECKSUM //----------------------------------------------------------------------

//Global variable to control Checksum offloading (this would be read from the registry)
//Initialized as all disabled
UINT    TxTcpCheckSum = 0;
UINT    TxUdpCheckSum = 0;
UINT    TxIPCheckSum = 0;

UINT    RxTcpCheckSum = 0;
UINT    RxUdpCheckSum = 0;
UINT    RxIPCheckSum = 0;

#endif //CHECKSUM  //----------------------------------------------------------------------


/*** External Global Func ***/

/*** Local Constant Definitions ***/

/*** Local Typedefs ***/

/*** Local Data Definitions ***/

/*** Local Function Prototypes ***/

/*** Function Definitions ***/
